set I;
param p > 1, integer;
set K := {1..p};

param a {I};
param b {I};
param w {I};

var x1 {K}, default 8;
var x2 {K}, default 5;
var c {I, K}, >= 0;

minimize wheitedsum:
    sum{i in I, k in K} c[i,k] * w[i] * sqrt((x1[k] - a[i])^2 + (x2[k] - b[i])^2);
s.t.
    demand {i in I}:
        sum {k in K} c[i,k] = 1;


data;

param p := 2;

param: I: a b w :=
    1   1   6   2
    2   7   7   6
    3   3   2   1
    4   9   3   7
    5   14  6   10
    6   4   4   16
;

end;
