set I;
param p > 1, integer;
set K := {1..p};

param a {I};
param b {I};
param w {I};
param q {I};
param Q {K};

var x1 {K}, default 7;
var x2 {K}, default 8;
var c {I, K}, >= 0.0;

minimize wheitedsum:
    sum{i in I, k in K} w[i] * c[i,k] * sqrt((x1[k] - a[i])^2 + (x2[k] - b[i])^2);
s.t.
    demand {i in I}:
        sum {k in K} c[i,k] >= 1;
    
    capacity {k in K}:
        sum {i in I} q[i] * c[i,k] <= Q[k];


data;

param p := 2;

param: I: a b w q :=
    1   1   6   2   300
    2   7   7   6   200
    3   3   2   1   250
    4   9   3   7   100
    5   14  6   10  150
    6   4   4   16  450
;

param Q := 1 750 2 800;
end;
